# Uses of Enum
org.apache.commons.math3.geometry.partitioning.BSPTreeVisitor.Order

Packages that use BSPTreeVisitor.Order
Package
Description
org.apache.commons.math3.geometry.partitioning
This package provides classes to implement Binary Space Partition trees.

## Uses of BSPTreeVisitor.Order in org.apache.commons.math3.geometry.partitioning

Methods in org.apache.commons.math3.geometry.partitioning that return BSPTreeVisitor.Order
Modifier and Type
Method
Description
`static BSPTreeVisitor.Order`
BSPTreeVisitor.Order.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static BSPTreeVisitor.Order[]`
BSPTreeVisitor.Order.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
`BSPTreeVisitor.Order`
BSPTreeVisitor.`visitOrder(BSPTree<S> node)`
Determine the visit order for this node.